Bug 524385 - Pulseaudio crashes regularly after some time of playback (snd_cmipci)
Pulseaudio crashes regularly after some time of playback (snd_cmipci)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
: 540751 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-19 13:49 EDT by Alexandr Kara
Modified: 2012-06-04 10:44 EDT (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-04 10:44:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexandr Kara 2009-09-19 13:49:33 EDT
Description of problem:
Pulseaudio crashes after about 5 to 10 minutes of playback.

Version-Release number of selected component (if applicable):


How reproducible:
Play sound with any application, like SMPlayer using Pulseaudio.
  
Actual results:
Application freezes (but can be restarted)

Expected results:
Sound and video continue to play.


Additional info:
Kernel:

2.6.31-33.fc12.x86_64

Alsa: 

alsa-plugins-pulseaudio-1.0.21-2.fc12.x86_64
alsa-utils-1.0.21-2.fc12.x86_64
alsa-lib-devel-1.0.21-3.fc12.x86_64
alsa-lib-1.0.21-3.fc12.i686
alsa-lib-1.0.21-3.fc12.x86_64

From logbook:

pulseaudio[2114]: alsa-util.c: snd_pcm_avail() returned a value that is exceptionally large: 18446744073709549460 bytes (418293516398 ms).
pulseaudio[2114]: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_cmipci'. Please report this issue to the ALSA developers.
pulseaudio[2114]: alsa-util.c: snd_pcm_dump():
pulseaudio[2114]: alsa-util.c: Hardware PCM card 0 'C-Media CMI8738' device 0 subdevice 0
pulseaudio[2114]: alsa-util.c: Its setup is:
pulseaudio[2114]: alsa-util.c:   stream       : PLAYBACK
pulseaudio[2114]: alsa-util.c:   access       : MMAP_INTERLEAVED
pulseaudio[2114]: alsa-util.c:   format       : S16_LE
pulseaudio[2114]: alsa-util.c:   subformat    : STD
pulseaudio[2114]: alsa-util.c:   channels     : 2
pulseaudio[2114]: alsa-util.c:   rate         : 44100
pulseaudio[2114]: alsa-util.c:   exact rate   : 44100 (44100/1)
pulseaudio[2114]: alsa-util.c:   msbits       : 16
pulseaudio[2114]: alsa-util.c:   buffer_size  : 16384
pulseaudio[2114]: alsa-util.c:   period_size  : 8192
pulseaudio[2114]: alsa-util.c:   period_time  : 185759
pulseaudio[2114]: alsa-util.c:   tstamp_mode  : ENABLE
pulseaudio[2114]: alsa-util.c:   period_step  : 1
pulseaudio[2114]: alsa-util.c:   avail_min    : 15886
pulseaudio[2114]: alsa-util.c:   period_event : 0
pulseaudio[2114]: alsa-util.c:   start_threshold  : -1
pulseaudio[2114]: alsa-util.c:   stop_threshold   : 4611686018427387904
pulseaudio[2114]: alsa-util.c:   silence_threshold: 0
pulseaudio[2114]: alsa-util.c:   silence_size : 0
pulseaudio[2114]: alsa-util.c:   boundary     : 4611686018427387904
pulseaudio[2114]: alsa-util.c:   appl_ptr     : 4227619
pulseaudio[2114]: alsa-util.c:   hw_ptr       : 4210696
pulseaudio[2114]: alsa-util.c: snd_pcm_delay() returned a value that is exceptionally large: 329472 bytes (1867 ms).
pulseaudio[2114]: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_cmipci'. Please report this issue to the ALSA developers.
pulseaudio[2114]: alsa-util.c: snd_pcm_dump():
pulseaudio[2114]: alsa-util.c: Hardware PCM card 0 'C-Media CMI8738' device 0 subdevice 0
pulseaudio[2114]: alsa-util.c: Its setup is:
pulseaudio[2114]: alsa-util.c:   stream       : PLAYBACK
pulseaudio[2114]: alsa-util.c:   access       : MMAP_INTERLEAVED
pulseaudio[2114]: alsa-util.c:   format       : S16_LE
pulseaudio[2114]: alsa-util.c:   subformat    : STD
pulseaudio[2114]: alsa-util.c:   channels     : 2
pulseaudio[2114]: alsa-util.c:   rate         : 44100
pulseaudio[2114]: alsa-util.c:   exact rate   : 44100 (44100/1)
pulseaudio[2114]: alsa-util.c:   msbits       : 16
pulseaudio[2114]: alsa-util.c:   buffer_size  : 16384
pulseaudio[2114]: alsa-util.c:   period_size  : 8192
pulseaudio[2114]: alsa-util.c:   period_time  : 185759
pulseaudio[2114]: alsa-util.c:   tstamp_mode  : ENABLE
pulseaudio[2114]: alsa-util.c:   period_step  : 1
pulseaudio[2114]: alsa-util.c:   avail_min    : 15886
pulseaudio[2114]: alsa-util.c:   period_event : 0
pulseaudio[2114]: alsa-util.c:   start_threshold  : -1
pulseaudio[2114]: alsa-util.c:   stop_threshold   : 4611686018427387904
pulseaudio[2114]: alsa-util.c:   silence_threshold: 0
pulseaudio[2114]: alsa-util.c:   silence_size : 0
pulseaudio[2114]: alsa-util.c:   boundary     : 4611686018427387904
pulseaudio[2114]: alsa-util.c:   appl_ptr     : 4293419
pulseaudio[2114]: alsa-util.c:   hw_ptr       : 4211051
Comment 1 Brian Mury 2009-09-22 00:47:55 EDT
I am seeing this also. It seems to have started with the upgrade to kernel-PAE-2.6.30.5-43.fc11. I do not see this problem if I boot with kernel-PAE-2.6.29.6-217.2.16.fc11.
Comment 2 Carlos Ferrabone 2009-09-23 19:25:11 EDT
i see the same problem.
Linux fedora 2.6.30.5-43.fc11.i686.PAE #1 SMP Thu Aug 27 21:34:36 EDT 2009 i686 athlon i386 GNU/Linux

this is the audio card (as show in lspci -vv)
http://www.pastebin.ca/raw/1577202

and an extract of a very long and recurring kernel log
http://www.pastebin.ca/raw/1577203

it was working fine, until what looks like a kernel update
Comment 3 Brian Mury 2009-09-24 01:22:24 EDT
I forgot to mention this in my previous comment - I have the same sound card as Alexandr and Carlos.
Comment 4 Richard Jolly 2009-11-02 13:01:53 EST
I too seem to have the same problem:

PA crashed about 35 mins after bootup - (but almost immediately when Gnome mplayer was opened with an mp3 file)

My Setup is: 

Kernel

2.6.30.9-90.fc11.i686.PAE #1 SMP Sat Oct 17 11:24:32 EDT 2009 i686 i686 i386 GNU/Linux

SoundCard:

Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
	Subsystem: C-Media Electronics Inc CMI8738/C3DX PCI Audio Device
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (500ns min, 6000ns max)
	Interrupt: pin A routed to IRQ 21
	Region 0: I/O ports at de00 [size=256]
	Capabilities: [c0] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: C-Media PCI
	Kernel modules: snd-cmipci

Alsa apps (rpm -qa|grep alsa):

python-alsaaudio-0.5-1.fc11.i586
alsa-lib-1.0.21-3.fc11.i586
alsa-utils-1.0.21-2.fc11.i586

PA (rpm -qa|grep pulseaudio):

pulseaudio-utils-0.9.15-17.fc11.i586
pulseaudio-esound-compat-0.9.15-17.fc11.i586
pulseaudio-libs-zeroconf-0.9.15-17.fc11.i586
pulseaudio-0.9.15-17.fc11.i586
pulseaudio-module-bluetooth-0.9.15-17.fc11.i586
pulseaudio-module-gconf-0.9.15-17.fc11.i586
wine-pulseaudio-1.1.29-1.fc11.i586
pulseaudio-libs-0.9.15-17.fc11.i586
pulseaudio-module-zeroconf-0.9.15-17.fc11.i586
pulseaudio-libs-glib2-0.9.15-17.fc11.i586
xine-lib-pulseaudio-1.1.16.3-2.fc11.i586
pulseaudio-module-x11-0.9.15-17.fc11.i586

From /var/log/messages|grep pulseaudio

Nov  2 16:25:36 sneezy pulseaudio[2920]: alsa-source.c: Your kernel driver is broken: it reports a volume range from 18.00 dB to 18.00 dB which makes no sense.
Nov  2 16:25:36 sneezy pulseaudio[2920]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.DBus.Error.ServiceUnknown
Nov  2 16:25:44 sneezy pulseaudio[3057]: alsa-source.c: Your kernel driver is broken: it reports a volume range from 18.00 dB to 18.00 dB which makes no sense.
Nov  2 16:25:44 sneezy pulseaudio[3057]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.DBus.Error.ServiceUnknown
Nov  2 16:25:46 sneezy pulseaudio[3105]: pid.c: Daemon already running.
Nov  2 16:42:54 sneezy pulseaudio[3057]: alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!
Nov  2 16:42:54 sneezy pulseaudio[3057]: alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_cmipci'. Please report this issue to the ALSA developers.
Nov  2 16:42:54 sneezy pulseaudio[3057]: alsa-sink.c: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.
Nov  2 17:00:54 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:00:54 sneezy pulseaudio[3057]: sink-input.c: Failed to create sink input: sink is suspended.
Nov  2 17:00:57 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:00:57 sneezy pulseaudio[3057]: sink-input.c: Failed to create sink input: sink is suspended.
Nov  2 17:00:59 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:00:59 sneezy pulseaudio[3057]: sink-input.c: Failed to create sink input: sink is suspended.
Nov  2 17:01:01 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:01 sneezy pulseaudio[3057]: sink-input.c: Failed to create sink input: sink is suspended.
Nov  2 17:01:06 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:06 sneezy pulseaudio[3057]: sink-input.c: Failed to create sink input: sink is suspended.
Nov  2 17:01:13 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:13 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:20 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:20 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:20 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:22 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:24 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:24 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:24 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:24 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:25 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:25 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:25 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:25 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:25 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:25 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:26 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:26 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:26 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:26 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:26 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:27 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:27 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:27 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:27 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:27 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:27 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:28 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:29 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:34 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:35 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:36 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:37 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:38 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:38 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:39 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:39 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:42 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:56 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:01:56 sneezy pulseaudio[3057]: sink-input.c: Failed to create sink input: sink is suspended.
Nov  2 17:02:00 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:02:00 sneezy pulseaudio[3057]: sink-input.c: Failed to create sink input: sink is suspended.
Nov  2 17:02:03 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:02:03 sneezy pulseaudio[3057]: sink-input.c: Failed to create sink input: sink is suspended.
Nov  2 17:03:49 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:03:49 sneezy pulseaudio[3057]: sink-input.c: Failed to create sink input: sink is suspended.
Nov  2 17:07:19 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:07:49 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:07:50 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:08:06 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:08:48 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument
Nov  2 17:09:21 sneezy pulseaudio[3057]: alsa-sink.c: Failed to set hardware parameters: Invalid argument

I cannot say whether the latest kernel upgrade has caused this. My experience generally with PA and F11 has been dire. I changed my soundcard from sound blaster to C-media - which seemed good for a short time. But now flash apps generally fail (sound wise) 60% of the time - with no error messages. Local sound apps mplayer, vlc, rhythmnbox fail approx 30% of the time. It is an absolute lottery. I don't know whether it is alsa, pa, flash - i just want it to work. F10 and F9 seem like heaven compared to this hell.
Comment 5 Carlos Ferrabone 2009-11-02 17:48:08 EST
This bug persists.
i have udpated almost every week, and all the newkernels i got had the problem

im at 2.6.30.9-90.fc11.i686.PAE now and this keeps happening.

it makes the sound completely useless. no possibility to watch movies, play games, or even use flash based web content

dont hesitate to contact me if someone needs further info. im subscribed to this
Comment 6 Richard Jolly 2009-11-04 09:57:26 EST
(In reply to comment #5)
> This bug persists.
> i have udpated almost every week, and all the newkernels i got had the problem
> 
> im at 2.6.30.9-90.fc11.i686.PAE now and this keeps happening.
> 
> it makes the sound completely useless. no possibility to watch movies, play
> games, or even use flash based web content
> 
> dont hesitate to contact me if someone needs further info. im subscribed to
> this  

Likewise - I'm happy to test anything to get this working. The sooner the better.
Comment 7 Phan Quoc Huy 2009-11-08 23:13:24 EST
The same for me, I have waited for 1 month, 2 new kernel updates but nothing changed, sad
My sound card is CMI8738, Fedora 11
Comment 8 Michal Schmidt 2009-11-13 09:38:24 EST
I wonder if snd_cmipci is another driver that should be mentioned in http://pulseaudio.org/wiki/BrokenSoundDrivers as incompatible with glitch-free PA mode.

Could you guys try testing it with Lennart's alsa-time-test utility as described on the page?
Comment 9 Carlos Ferrabone 2009-11-14 22:50:20 EST
i sent Lennart all the info he requests in that page

tried also disabling glitch-free but didn't improved the situation
Comment 10 Brian Mury 2009-11-17 12:33:20 EST
I just tried F12 i686 Live and the problem still occurs.

I still have not seen this with a 2.6.29 kernel on F11, BTW. I've been sticking with 2.6.29 specifically because of this bug. I will probably hold off on upgrading to F12 because of this.

Anybody else try this with F12 yet?
Comment 11 Phan Quoc Huy 2009-11-19 03:51:23 EST
@Brian yes, I tried, nothing change
Comment 12 redtux 2009-11-26 05:56:47 EST
looks like my bug 540751 is a duplicate of this

Only way I got sound working was removing everything to do with pulseaudio
Comment 13 redtux 2009-11-26 05:58:39 EST
*** Bug 540751 has been marked as a duplicate of this bug. ***
Comment 14 Carlos Ferrabone 2009-12-01 21:15:28 EST
Instaled F12, and its working out of the box, up-to-date system

Linux fedora 2.6.31.6-145.fc12.i686.PAE #1 SMP Sat Nov 21 16:12:37 EST 2009 i686 athlon i386 GNU/Linux

$ yum list pulseaudio
pulseaudio.i686                                0.9.21-1.fc12
Comment 15 redtux 2009-12-02 06:51:29 EST
Did you do an update straight away?
Pulseaudio as shipped with f12 is 0.9.19
Comment 16 redtux 2009-12-02 07:12:13 EST
updated to 
pulseaudio-module-zeroconf-0.9.21-1.fc12.i686
pulseaudio-module-gconf-0.9.21-1.fc12.i686
pulseaudio-utils-0.9.21-1.fc12.i686
pulseaudio-0.9.21-1.fc12.i686
pulseaudio-esound-compat-0.9.21-1.fc12.i686
alsa-plugins-pulseaudio-1.0.21-2.fc12.i686
pulseaudio-libs-glib2-0.9.21-1.fc12.i686
pulseaudio-module-x11-0.9.21-1.fc12.i686
pulseaudio-libs-0.9.21-1.fc12.i686
pulseaudio-gdm-hooks-0.9.19-2.fc12.i686
pulseaudio-libs-zeroconf-0.9.21-1.fc12.i686

no difference. 
removing pulseaudio again
Comment 17 Carlos Ferrabone 2009-12-02 09:50:25 EST
@redtux 

installed fedora from DVD, to a new / and /home (a new hard drive)
i spend 24hs copying my data from old HDs, (migrating to LVM also)
i HAVE not restored my home config files and folders (ie .pulseaudio or .mplayer)

Added my user to pulse-access and the other pulse group (cant recall name)

installed rpmfusion, installed mplayer, did "yum upgrade", tried sound, and worked.

maybe you could try creating a new test user, and check if the problem comes from "old" configs laying around your /HOME

when i get back home from work, im gona list all the packages i have installed, with versions, maybe i have more, or have less

also,when i had the problem i was in fluxbox , but the test that worked was from gnome (still configuring and installing)
Comment 18 Michal Schmidt 2009-12-02 10:07:52 EST
(In reply to comment #17)
> Added my user to pulse-access and the other pulse group (cant recall name)

Adding users to any pulse-* groups is not necessary. pulse-access is only used with system-wide mode of PA (which is not used by default and not recommended to use at all anyway), and pulse-rt for granting realtime privileges is completely obsoleted by RealtimeKit (rtkit).
Comment 19 Carlos Ferrabone 2009-12-02 18:45:29 EST
this is my list of packages at this moment
http://pastebin.ca/raw/1699288

the groups i was talking about are
sound
pulse
pulse-access
Comment 20 Richard Jolly 2009-12-07 13:16:31 EST
Just a quick update from myself (now on F12)

Kernel platform changed to: 

2.6.31.5-127.fc12.i686 #1 SMP Sat Nov 7 21:41:45 EST 2009 i686 i686 i386 GNU/Linux

Alsa apps (rpm -qa|grep alsa):

alsa-utils-1.0.21-2.fc12.i686 - UNCHANGED
python-alsaaudio-0.5-2.fc12.i686 - NEWER VERSION
alsa-lib-1.0.21-3.fc12.i686 - UNCHANGED

PA (rpm -qa|grep pulseaudio):

pulseaudio-module-bluetooth-0.9.21-1.fc12.i686 - NEWER VERSION
pulseaudio-gdm-hooks-0.9.21-1.fc12.i686 - NEW RPM
xine-lib-pulseaudio-1.1.16.3-4.fc12.i686 - NEWER VERSION
pulseaudio-esound-compat-0.9.21-1.fc12.i686 - NEWER VERSION
pulseaudio-module-zeroconf-0.9.21-1.fc12.i686 - NEWER VERSION
pulseaudio-utils-0.9.21-1.fc12.i686 - NEWER VERSION
pulseaudio-libs-0.9.21-1.fc12.i686 - NEWER VERSION
pulseaudio-0.9.21-1.fc12.i686 - NEWER VERSION
pulseaudio-module-gconf-0.9.21-1.fc12.i686 - NEWER VERSION
pulseaudio-libs-zeroconf-0.9.21-1.fc12.i686 - NEWER VERSION
pulseaudio-module-x11-0.9.21-1.fc12.i686 - NEWER VERSION
wine-pulseaudio-1.1.32-1.fc12.i686 - NEWER VERSION
pulseaudio-libs-glib2-0.9.21-1.fc12.i686 - NEWER VERSION

I still get the odd:

"alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!"

But......wait for it - Pulseaudio seems to be working perfectly!

Many thanks to the developers for fixing this.
Comment 21 Brian Mury 2009-12-08 02:51:23 EST
I tried with the same package versions as comment #20, the bug is still there.
Comment 22 Carlos Ferrabone 2009-12-08 13:10:22 EST
the people still having this problem, try creating a test user, to rule out config problems 

i think its what fixed my case (mostly)

i still get one or two freezes here and there (ie 1 in 4hs), but restarting mplayer works
Comment 23 Brian Mury 2009-12-08 14:09:30 EST
My comment #21 was referring to a test drive with a clean install and a brand new user account. No files from my previous installation or home directory were present anywhere on the system, with the exception of a few audio files I copied over via a USB drive so I'd have something to test with.

I get anywhere from a few seconds to a couple minutes of audio. Restarting mplayer works for me also but is not a usable workaround when it occurs this frequently (one in 4 hours would not be so bad).

I am back to F11 with the last 2.6.29 kernel for now (the problem started with 2.6.30), but I am happy to test future F12 updates on a test system.
Comment 24 masanari iida 2009-12-29 02:24:59 EST
My system also suffering from this symptom since Fedora 11 kernel update to
 2.6.30. Last few days, I spent some hours to isolate the issue.

My test result pointed out that the symptom started from 2.6.30-rc8.
2.6.30-rc7 was the LAST working version.

Between rc7 and rc8, I carefully checked out the changelog, and found 2 
sound related patches.  Make the long story short,  following patch causes
our problem.

From c87d9732004b3f8fd82d729f12ccfb96c0df279e Mon Sep 17 00:00:00 2001
From: Takashi Iwai <tiwai at suse.de>
Date: Wed, 27 May 2009 10:53:33 +0200
Subject: [PATCH] ALSA: Enable PCM hw_ptr_jiffies check only in xrun_debug mode

If I reverted this pach back to original, the problem was gone.


Other similar report on mailing list.
http://article.gmane.org/gmane.linux.alsa.devel/69327
Comment 25 Michal Schmidt 2009-12-29 03:25:25 EST
(In reply to comment #24)
> Make the long story short,  following patch causes our problem.
> 
> From c87d9732004b3f8fd82d729f12ccfb96c0df279e Mon Sep 17 00:00:00 2001
> From: Takashi Iwai <tiwai at suse.de>
> Date: Wed, 27 May 2009 10:53:33 +0200
> Subject: [PATCH] ALSA: Enable PCM hw_ptr_jiffies check only in xrun_debug mode
> 
> If I reverted this pach back to original, the problem was gone.

Does the problem also go away if you enable the hw_ptr_jiffies check with:
echo 4 > /proc/asound/card0/pcm0p/xrun_debug
instead of reverting the patch?
Comment 26 masanari iida 2009-12-29 09:28:45 EST
Reply to comment #25

Boot my system from Fedora Kernel (2.6.30.10-105.fc11.i686) and confirm
default setting still have this issue.
After set xrun_debug value other than 0, the sound started to work again.  
I have tested this new setting for 2 hours, so far no issue.

I hope other bug reporter modify the setting and report us back the result.
Thank you
Comment 27 Brian Mury 2009-12-29 14:16:00 EST
Setting xrun_debug to 4 works for me on both F11 and F12. Thanks Masanari and Michal!
Comment 28 Alexandr Kara 2010-01-05 11:02:08 EST
Seems to fix the problem for me, too - thanks for advice.
Comment 29 redtux 2010-01-17 11:57:08 EST
works for me as well

Is there  a more elegant solution to making this permanent than putting the echo command in /etc/rc.local?
Comment 30 Ola Thoresen 2010-01-17 13:40:43 EST
Tested the quickfix here, and it seems to work.
The problem has not been present in all sound-apps, only in Spotify (Wine), but annoying enough.

Thanks for the fix, hoping for a permanent solution.
Comment 31 Jaroslav Kysela 2010-01-18 04:40:48 EST
Could you try to change position_fix module option for snd-hda-intel module?

parm:           position_fix:Fix DMA pointer (0 = auto, 1 = none, 2 = POSBUF). (array of int)

Enabling jiffies check just shows that there is something wrong with the hardware driver.
Comment 32 Michal Schmidt 2010-01-18 06:47:38 EST
Jaroslav,
this bug is about snd_cmipci, not snd-hda-intel. snd_cmipci has no similar parameter.
Comment 33 Jaroslav Kysela 2010-01-18 11:26:46 EST
Oops, sorry, I missed that - almost all bugs are about snd-hda-intel nowadays ;-)
Than snd_cmipci_pcm_pointer() function in cmipci.c should be inspected.
Comment 34 Jon Ciesla 2010-02-12 23:40:54 EST
Still seeing this on a fully updated F12.

kernel-2.6.31.12-174.2.3.fc12.i686
pulseaudio-0.9.21-4.fc12.i686
Comment 35 Michal Schmidt 2010-03-25 10:13:18 EDT
Just noticed this new commit in Linus's git tree:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=1c583063a5c769fe2ec604752e383972c69e6d9b

ALSA: cmipci: work around invalid PCM pointer

When the CMI8738 FRAME2 register is read, the chip sometimes (probably
when wrapping around) returns an invalid value that would be outside the
programmed DMA buffer. This leads to an inconsistent PCM pointer that is
likely to result in an underrun.

To work around this, read the register multiple times until we get a
valid value; the error state seems to be very short-lived.

---------
It seems relevant. Could someone test if it fixes this bug?
Comment 36 masanari iida 2010-04-02 10:48:46 EDT
Download 2.6.34-rc3 and confirm the patch is included.
Compile it on Fedora 11.
Remove "echo 4 > /proc/asound/card0/pcm0p/xrun_debug" setting.

Boot from 2.6.34-rc3 and watch youtube.
This one is better than previous one.

Detail
2.6.30.10-105.2.23.fc11.i686.PAE with no setting,
Sound stops very short time.

2.6.30.10-105.2.23.fc11.i686.PAE + xrun_debug setting,
Sound play longer than before, but after 2-3 min later,
youtube display suddenly stop playing the movie, but sound still
continue.  In other words, still something going wrong.

2.6.34-rc3 with no setting.
I watched multiple 10 min long titles.
I can watch all titles from top to end without interrupt.
One thing I notice some pop noise, and also following messages in syslog
when I hear the noise.

pulseaudio[9143]: ratelimit.c: 5 events suppressed
pulseaudio[9143]: alsa-sink.c: Increasing minimal latency to 246.00 ms
pulseaudio[9143]: alsa-sink.c: Increasing wakeup watermark to 235.99 ms
pulseaudio[9143]: ratelimit.c: 7 events suppressed
pulseaudio[9143]: alsa-sink.c: Increasing minimal latency to 256.00 ms
pulseaudio[9143]: alsa-sink.c: Increasing wakeup watermark to 245.99 ms
pulseaudio[9143]: alsa-sink.c: Increasing minimal latency to 266.00 ms

I wanted to include the patch into Fedora 11 source and do my test.
But when I try to # make mrproper, I have encountered some errors,
so I gave up to compile it on my system.
I hope Fedora kernel maintainer include this patch into the Fedora 11 tree,
and release it before the support period end.
Comment 37 Michal Schmidt 2010-04-06 09:38:08 EDT
The patch is included in Linux 2.6.32.11. For Fedora 12 there's kernel-2.6.32.11-99.fc12 in Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=165531

The patch is also in Linux 2.6.33.2. For Fedora 13 there's kernel-2.6.33.2-35.fc13:
http://koji.fedoraproject.org/koji/buildinfo?buildID=165549

There's no build for Fedora 11 yet.
Comment 38 Alexandr Kara 2010-04-10 08:33:50 EDT
Tested with kernel 2.6.34-0.28.rc3.git3.fc14.x86_64 and no problems with sound any more after half an hour of playback. Seems fixed, thanks for help!
Comment 39 Brian Mury 2010-04-10 14:19:04 EDT
Still present with 2.6.32.11-99.fc12.
Comment 40 Bug Zapper 2010-04-28 06:28:42 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 41 redtux 2010-05-28 16:31:23 EDT
just installed F13 - bug still there (with same workaround)

ie:

echo 4 > /proc/asound/card0/pcm0p/xrun_debug
Comment 42 Bug Zapper 2010-06-28 10:44:17 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 43 Brian Mury 2010-06-29 00:39:49 EDT
This is still present in F12 and F13, as per the many comments above. Can someone reopen this and change the version to 13?
Comment 44 Michal Schmidt 2010-06-29 01:40:15 EDT
Reopening as requested.
Comment 45 aperion 2010-07-18 06:26:55 EDT
I am a Gentoo user who had this problem for a long time. The card crashes and the last sample is looped at maximum volume. It prevailed with kernel version 2.6.33-r2. The fix proposed here however does work. In order to create the corresponding proc node you have to enable SND_VERBOSE_PROCFS, SND_DEBUG, PCM_XRUN_DEBUG (all in Device Drivers --> Sound card support --> ALSA). lspci output:
Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
Subsystem: C-Media Electronics Inc CMI8738/C3DX PCI Audio Device
Comment 46 Jaroslav Kysela 2010-08-09 09:18:32 EDT
Note that if proposed workaround works, it means that the lowlevel driver is bogus (returns wrong DMA position value - the jiffies check corrects the value returned from the driver).

Please, attach log for xrun_debug = 25 (only portion at time when the problem occurs).
Comment 47 aperion 2010-08-14 19:04:05 EDT
I'm running 2.6.34-r1 now, during normal operation of the card with
xrun_debug=25, I get a repeating pattern in dmesg, like this:

[436516.227995] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=7/1024/16384, hwptr=3/2473988/2473991/2473984
[436516.227995] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=8/1024/16384, hwptr=1/2473991/2473992/2473984
[436516.248018] ALSA sound/core/pcm_lib.c:363: period_update: pcmC0D0p:0: pos=1028/1024/16384, hwptr=1020/2473992/2475012/2473984
[436516.249010] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=1032/1024/16384, hwptr=4/2475012/2475016/2473984
[436516.249010] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=1034/1024/16384, hwptr=2/2475016/2475018/2473984
[436516.274164] ALSA sound/core/pcm_lib.c:363: period_update: pcmC0D0p:0: pos=2052/1024/16384, hwptr=1018/2475018/2476036/2473984
[436516.274164] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=2055/1024/16384, hwptr=3/2476036/2476039/2473984
[436516.274164] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=2057/1024/16384, hwptr=2/2476039/2476041/2473984
[436516.295616] ALSA sound/core/pcm_lib.c:363: period_update: pcmC0D0p:0: pos=3077/1024/16384, hwptr=1020/2476041/2477061/2473984
[436516.295616] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=3080/1024/16384, hwptr=3/2477061/2477064/2473984
[436516.295616] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=3082/1024/16384, hwptr=2/2477064/2477066/2473984
[436516.312967] ALSA sound/core/pcm_lib.c:363: period_update: pcmC0D0p:0: pos=4100/1024/16384, hwptr=1018/2477066/2478084/2473984
[436516.313010] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=4104/1024/16384, hwptr=4/2478084/2478088/2473984
[436516.313010] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=4106/1024/16384, hwptr=2/2478088/2478090/2473984
[436516.334278] ALSA sound/core/pcm_lib.c:363: period_update: pcmC0D0p:0: pos=5124/1024/16384, hwptr=1018/2478090/2479108/2473984
[436516.334329] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=5127/1024/16384, hwptr=3/2479108/2479111/2473984
[436516.334329] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=5129/1024/16384, hwptr=2/2479111/2479113/2473984
[436516.355611] ALSA sound/core/pcm_lib.c:363: period_update: pcmC0D0p:0: pos=6148/1024/16384, hwptr=1019/2479113/2480132/2473984
[436516.355669] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=6152/1024/16384, hwptr=4/2480132/2480136/2473984
[436516.355669] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=6153/1024/16384, hwptr=1/2480136/2480137/2473984
[436516.380941] ALSA sound/core/pcm_lib.c:363: period_update: pcmC0D0p:0: pos=7172/1024/16384, hwptr=1019/2480137/2481156/2473984
[436516.380941] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=7179/1024/16384, hwptr=7/2481156/2481163/2473984
[436516.380941] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=7180/1024/16384, hwptr=1/2481163/2481164/2473984
[436516.400982] ALSA sound/core/pcm_lib.c:363: period_update: pcmC0D0p:0: pos=8196/1024/16384, hwptr=1016/2481164/2482180/2473984
[436516.400982] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=8199/1024/16384, hwptr=3/2482180/2482183/2473984
[436516.400982] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=8201/1024/16384, hwptr=2/2482183/2482185/2473984
[436516.419604] ALSA sound/core/pcm_lib.c:363: period_update: pcmC0D0p:0: pos=9220/1024/16384, hwptr=1019/2482185/2483204/2473984
[436516.419667] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=9224/1024/16384, hwptr=4/2483204/2483208/2473984
[436516.419667] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=9226/1024/16384, hwptr=2/2483208/2483210/2473984
[436516.444615] ALSA sound/core/pcm_lib.c:363: period_update: pcmC0D0p:0: pos=10244/1024/16384, hwptr=1018/2483210/2484228/2473984
[436516.444615] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=10247/1024/16384, hwptr=3/2484228/2484231/2473984
[436516.444615] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=10249/1024/16384, hwptr=2/2484231/2484233/2473984
[436516.465002] ALSA sound/core/pcm_lib.c:363: period_update: pcmC0D0p:0: pos=11268/1024/16384, hwptr=1019/2484233/2485252/2473984
[436516.465002] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=11272/1024/16384, hwptr=4/2485252/2485256/2473984
[436516.465002] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=11273/1024/16384, hwptr=1/2485256/2485257/2473984
[436516.483601] ALSA sound/core/pcm_lib.c:363: period_update: pcmC0D0p:0: pos=12292/1024/16384, hwptr=1019/2485257/2486276/2473984

I've set xrun_debug to 0 to see if the bug is still there. I could not
get the repeating sample, but after 2 days it stopped working after
suspend-to-ram. Now mplayer simply stops after 1 second or so
(soundbuffer full?), also if you jump to another point in the video.
Then I set set xrun_debug to 25 and repeated the action (same results).
In dmesg I had this message about 50 times:

[489225.679722] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=10988/1024/16384, hwptr=0/697477868/697477868/697466880
[489225.679722] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=10988/1024/16384, hwptr=0/697477868/697477868/697466880
[489225.679722] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=10988/1024/16384, hwptr=0/697477868/697477868/697466880
[489225.804989] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=10988/1024/16384, hwptr=0/697477868/697477868/697466880
[489225.804989] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=10988/1024/16384, hwptr=0/697477868/697477868/697466880
[489225.804989] ALSA sound/core/pcm_lib.c:363: hwptr_update: pcmC0D0p:0: pos=10988/1024/16384, hwptr=0/697477868/697477868/697466880

I hope this information was helpfull. lspci -vv reports:

01:08.0 Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
	Subsystem: C-Media Electronics Inc CMI8738/C3DX PCI Audio Device
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (500ns min, 6000ns max)
	Interrupt: pin A routed to IRQ 19
	Region 0: I/O ports at e800 [size=256]
	Capabilities: [c0] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: C-Media PCI
Comment 48 Larry Cantwell 2010-10-05 01:27:55 EDT
I am suffering the same problem:
Fedora 12 current on all updates.
Pentium III (Coppermine) 902 MHz 256K cash

Using the following examples:
When playing Frozen Bubble, play monetarily halts then resumes without audio.  If play is continued for an extended period of time, Frozen Bubble becomes unkillable.  As root, using "Top" and obtaining the PID, the command line accepts the Kill and pid command, but the application continues on.  Viewing "/var/log/messages" produced the following relevant results:

Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c: snd_pcm_avail() returned a value that is exceptionally large: 4294965680 bytes (24347878 ms).
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_cmipci'. Please report this issue to the ALSA developers.
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c: snd_pcm_dump():
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c: Hooks PCM
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c: Its setup is:
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   stream       : PLAYBACK
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   access       : MMAP_INTERLEAVED
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   format       : S16_LE
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   subformat    : STD
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   channels     : 2
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   rate         : 44100
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   exact rate   : 44100 (44100/1)
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   msbits       : 16
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   buffer_size  : 16384
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   period_size  : 8192
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   period_time  : 185759
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   tstamp_mode  : ENABLE
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   period_step  : 1
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   avail_min    : 16129
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   period_event : 0
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   start_threshold  : -1
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   stop_threshold   : 1073741824
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   silence_threshold: 0
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   silence_size : 0
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   boundary     : 1073741824
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c: Slave: Hardware PCM card 0 'C-Media CMI8738' device 2 subdevice 0
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c: Its setup is:
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   stream       : PLAYBACK
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   access       : MMAP_INTERLEAVED
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   format       : S16_LE
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   subformat    : STD
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   channels     : 2
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   rate         : 44100
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   exact rate   : 44100 (44100/1)
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   msbits       : 16
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   buffer_size  : 16384
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   period_size  : 8192
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   period_time  : 185759
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   tstamp_mode  : ENABLE
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   period_step  : 1
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   avail_min    : 16129
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   period_event : 0
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   start_threshold  : -1
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   stop_threshold   : 1073741824
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   silence_threshold: 0
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   silence_size : 0
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   boundary     : 1073741824
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   appl_ptr     : 17924510
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   hw_ptr       : 17907722
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c: snd_pcm_delay() returned a value that is exceptionally large: 329444 bytes (1867 ms).
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_cmipci'. Please report this issue to the ALSA developers.
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c: snd_pcm_dump():
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c: Hooks PCM
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c: Its setup is:
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   stream       : PLAYBACK
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   access       : MMAP_INTERLEAVED
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   format       : S16_LE
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   subformat    : STD
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   channels     : 2
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   rate         : 44100
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   exact rate   : 44100 (44100/1)
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   msbits       : 16
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   buffer_size  : 16384
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   period_size  : 8192
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   period_time  : 185759
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   tstamp_mode  : ENABLE
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   period_step  : 1
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   avail_min    : 16129
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   period_event : 0
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   start_threshold  : -1
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   stop_threshold   : 1073741824
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   silence_threshold: 0
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   silence_size : 0
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   boundary     : 1073741824
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c: Slave: Hardware PCM card 0 'C-Media CMI8738' device 2 subdevice 0
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c: Its setup is:
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   stream       : PLAYBACK
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   access       : MMAP_INTERLEAVED
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   format       : S16_LE
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   subformat    : STD
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   channels     : 2
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   rate         : 44100
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   exact rate   : 44100 (44100/1)
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   msbits       : 16
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   buffer_size  : 16384
Oct  4 17:17:37 webtest pulseaudio[1631]: alsa-util.c:   period_size  : 8192
Oct  4 17:17:38 webtest pulseaudio[1631]: alsa-util.c:   period_time  : 185759
Oct  4 17:17:38 webtest pulseaudio[1631]: alsa-util.c:   tstamp_mode  : ENABLE
Oct  4 17:17:38 webtest pulseaudio[1631]: alsa-util.c:   period_step  : 1
Oct  4 17:17:38 webtest pulseaudio[1631]: alsa-util.c:   avail_min    : 16129
Oct  4 17:17:38 webtest pulseaudio[1631]: alsa-util.c:   period_event : 0
Oct  4 17:17:38 webtest pulseaudio[1631]: alsa-util.c:   start_threshold  : -1
Oct  4 17:17:38 webtest pulseaudio[1631]: alsa-util.c:   stop_threshold   : 1073741824
Oct  4 17:17:38 webtest pulseaudio[1631]: alsa-util.c:   silence_threshold: 0
Oct  4 17:17:38 webtest pulseaudio[1631]: alsa-util.c:   silence_size : 0
Oct  4 17:17:38 webtest pulseaudio[1631]: alsa-util.c:   boundary     : 1073741824
Oct  4 17:17:38 webtest pulseaudio[1631]: alsa-util.c:   appl_ptr     : 17991070
Oct  4 17:17:38 webtest pulseaudio[1631]: alsa-util.c:   hw_ptr       : 17908709
Oct  4 17:17:38 webtest rtkit-daemon[1476]: Sucessfully made thread 5629 of process 5629 (/usr/bin/pulseaudio) owned by '501' high priority at nice level -11.
Oct  4 17:17:38 webtest pulseaudio[5629]: pid.c: Stale PID file, overwriting.
Oct  4 17:17:39 webtest rtkit-daemon[1476]: Sucessfully made thread 5630 of process 5629 (/usr/bin/pulseaudio) owned by '501' RT at priority 5.
Oct  4 17:17:39 webtest rtkit-daemon[1476]: Sucessfully made thread 5632 of process 5632 (/usr/bin/pulseaudio) owned by '501' high priority at nice level -11.
Oct  4 17:17:39 webtest pulseaudio[5632]: pid.c: Daemon already running.


When playing cd-rom audio wave files through Totem Movie player, play stops.  An info box is displayed with the following text, "An error occurred, Disconnected:Connection Terminated". Viewing "/var/log/messages" again produced the following relevant results.

Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c: snd_pcm_avail() returned a value that is exceptionally large: 4294953552 bytes (24347809 ms).
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_cmipci'. Please report this issue to the ALSA developers.
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c: snd_pcm_dump():
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c: Hooks PCM
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c: Its setup is:
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   stream       : PLAYBACK
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   access       : MMAP_INTERLEAVED
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   format       : S16_LE
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   subformat    : STD
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   channels     : 2
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   rate         : 44100
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   exact rate   : 44100 (44100/1)
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   msbits       : 16
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   buffer_size  : 16384
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   period_size  : 8192
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   period_time  : 185759
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   tstamp_mode  : ENABLE
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   period_step  : 1
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   avail_min    : 15503
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   period_event : 0
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   start_threshold  : -1
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   stop_threshold   : 1073741824
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   silence_threshold: 0
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   silence_size : 0
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   boundary     : 1073741824
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c: Slave: Hardware PCM card 0 'C-Media CMI8738' device 2 subdevice 0
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c: Its setup is:
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   stream       : PLAYBACK
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   access       : MMAP_INTERLEAVED
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   format       : S16_LE
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   subformat    : STD
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   channels     : 2
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   rate         : 44100
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   exact rate   : 44100 (44100/1)
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   msbits       : 16
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   buffer_size  : 16384
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   period_size  : 8192
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   period_time  : 185759
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   tstamp_mode  : ENABLE
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   period_step  : 1
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   avail_min    : 15503
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   period_event : 0
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   start_threshold  : -1
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   stop_threshold   : 1073741824
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   silence_threshold: 0
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   silence_size : 0
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   boundary     : 1073741824
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   appl_ptr     : 11734396
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   hw_ptr       : 11714576
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c: snd_pcm_delay() returned a value that is exceptionally large: 394508 bytes (2236 ms).
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_cmipci'. Please report this issue to the ALSA developers.
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c: snd_pcm_dump():
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c: Hooks PCM
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c: Its setup is:
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   stream       : PLAYBACK
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   access       : MMAP_INTERLEAVED
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   format       : S16_LE
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   subformat    : STD
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   channels     : 2
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   rate         : 44100
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   exact rate   : 44100 (44100/1)
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   msbits       : 16
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   buffer_size  : 16384
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   period_size  : 8192
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   period_time  : 185759
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   tstamp_mode  : ENABLE
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   period_step  : 1
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   avail_min    : 15503
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   period_event : 0
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   start_threshold  : -1
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   stop_threshold   : 1073741824
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   silence_threshold: 0
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   silence_size : 0
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   boundary     : 1073741824
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c: Slave: Hardware PCM card 0 'C-Media CMI8738' device 2 subdevice 0
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c: Its setup is:
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   stream       : PLAYBACK
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   access       : MMAP_INTERLEAVED
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   format       : S16_LE
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   subformat    : STD
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   channels     : 2
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   rate         : 44100
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   exact rate   : 44100 (44100/1)
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   msbits       : 16
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   buffer_size  : 16384
Oct  4 20:25:38 webtest pulseaudio[1633]: alsa-util.c:   period_size  : 8192
Oct  4 20:25:39 webtest pulseaudio[1633]: alsa-util.c:   period_time  : 185759
Oct  4 20:25:39 webtest pulseaudio[1633]: alsa-util.c:   tstamp_mode  : ENABLE
Oct  4 20:25:39 webtest pulseaudio[1633]: alsa-util.c:   period_step  : 1
Oct  4 20:25:39 webtest pulseaudio[1633]: alsa-util.c:   avail_min    : 15503
Oct  4 20:25:39 webtest pulseaudio[1633]: alsa-util.c:   period_event : 0
Oct  4 20:25:39 webtest pulseaudio[1633]: alsa-util.c:   start_threshold  : -1
Oct  4 20:25:39 webtest pulseaudio[1633]: alsa-util.c:   stop_threshold   : 1073741824
Oct  4 20:25:39 webtest pulseaudio[1633]: alsa-util.c:   silence_threshold: 0
Oct  4 20:25:39 webtest pulseaudio[1633]: alsa-util.c:   silence_size : 0
Oct  4 20:25:39 webtest pulseaudio[1633]: alsa-util.c:   boundary     : 1073741824
Oct  4 20:25:39 webtest pulseaudio[1633]: alsa-util.c:   appl_ptr     : 11813776
Oct  4 20:25:39 webtest pulseaudio[1633]: alsa-util.c:   hw_ptr       : 11715149
Oct  4 20:25:40 webtest rtkit-daemon[1478]: Sucessfully made thread 2847 of process 2847 (/usr/bin/pulseaudio) owned by '501' high priority at nice level -11.
Oct  4 20:25:40 webtest pulseaudio[2847]: pid.c: Stale PID file, overwriting.
Oct  4 20:25:40 webtest rtkit-daemon[1478]: Sucessfully made thread 2849 of process 2847 (/usr/bin/pulseaudio) owned by '501' RT at priority 5.
Oct  4 20:25:41 webtest rtkit-daemon[1478]: Sucessfully made thread 2852 of process 2852 (/usr/bin/pulseaudio) owned by '501' high priority at nice level -11.
Oct  4 20:25:41 webtest pulseaudio[2852]: pid.c: Daemon already running.

Question, has diagnosis progressed to the point where we definitely know that it's an alsa driver problem, or is the problem somewhere else?
Comment 49 Bug Zapper 2011-06-02 13:43:28 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 50 Brian Mury 2011-06-10 02:53:34 EDT
Problem still present in F14 and F15.

I haven't seen the crash yet in F15, but I am getting audio dropouts, along with /var/log/messages entries like this one:

Jun  9 23:41:44 localhost pulseaudio[1845]: ratelimit.c: 62 events suppressed

(basically same behaviour as comment #36).
Comment 51 Josh Boyer 2012-06-04 10:44:57 EDT
If this is happening with the 3.3.7 or 3.4.0 kernel updates on f16 or f17 respectively, please open a new bug.  This bug is very old and likely no longer relevant to the current F15 release.

Note You need to log in before you can comment on or make changes to this bug.